#ifndef _VOPEN_H_INCLUDED
# define _VOPEN_H_INCLUDED

#define vaccess(path, mode)		access(vname((path)), (mode))
#define vopen(path, flags, mode)	open(vname((path)), (flags), (mode))
#define vclose(fd)			close((fd))
#define vchdir(path)			chdir(vname((path)))
#define vchmod(path, mode)		chmod(vname((path)), mode)
#define vchown(path, own, grp)		chown(vname((path)), own, grp)
#define vexecv(path, argv)		execv(vname((path)), argv)
#define vexecve(path,argv,envp)		execve(vname((path)), argv, envp)
#define vexecvp(file, argv)		execvp(vname((file)), argv)
#define vlink(path1, path2)		link(vname((path1)), vname((path2)))
#define vrmdir(path)			rmdir(vname((path)))
#define vunlink(path)			unlink(vname((path)))
#define vfopen(path, mode)		fopen(vname((path)), (mode))
#define vpopen(path, mode)		popen(vname((path)), (mode))

extern char last_vname[];

#ifndef __STDC__
# define P_(s)  ()
#else
# define P_(s)  s
#endif

char *vname P_((char *path));

# endif /* _VOPEN_H_INCLUDED */
